Class UmlBasePinParameter

Declaration :

- C++ : class UmlBasePinParameter : public UmlActivityObject
- Java : abstract class UmlBasePinParameter extends UmlActivityObject

Directly inherited by : UmlPinParameter

Artifact : UmlBasePinParameter

Operation UmlBasePinParameter

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBasePinParameter(in id : item_id, in s : string) :
- C++ : protected: UmlBasePinParameter(void * id, const QCString & s) : UmlActivityObject(id, s)
- Java : protected UmlBasePinParameter(long id, String s)

Operation isUnique

return the isUnique attribute

Declaration :

- Uml : + isUnique() : bool
- C++ : public: bool isUnique()
- Java : public boolean isUnique()

Operation set_IsUnique

set the isUnique attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IsUnique(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_IsUnique(bool v)
- Java : public void set_IsUnique(boolean v) throws RuntimeException

Operation isException

return the isException attribute, exclusive with isStream

Declaration :

- Uml : + isException() : bool
- C++ : public: bool isException()
- Java : public boolean isException()

Operation set_IsException

set the isException attribute, exclusive with isStream
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IsException(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_IsException(bool v)
- Java : public void set_IsException(boolean v) throws RuntimeException

Operation isStream

return the isStream attribute

Declaration :

- Uml : + isStream() : bool
- C++ : public: bool isStream()
- Java : public boolean isStream()

Operation set_IsStream

set the isStream attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IsStream(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_IsStream(bool v)
- Java : public void set_IsStream(boolean v) throws RuntimeException

Operation direction

return the direction

Declaration :

- Uml : + direction() : aDirection
- C++ : public: aDirection direction()
- Java : public aDirection direction()

Operation set_Direction

set the direction
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Direction(in v : aDirection) : bool, exceptions : RuntimeException
- C++ : public: bool set_Direction(aDirection v)
- Java : public void set_Direction(aDirection v) throws RuntimeException

Operation effect

return the effect

Declaration :

- Uml : + effect() : aParameterEffectKind
- C++ : public: aParameterEffectKind effect()
- Java : public aParameterEffectKind effect()

Operation set_Effect

set the effect
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Effect(in v : aParameterEffectKind) : bool, exceptions : RuntimeException
- C++ : public: bool set_Effect(aParameterEffectKind v)
- Java : public void set_Effect(aParameterEffectKind v) throws RuntimeException

Attribute _unique

Declaration :

- Uml : - _unique : bool
- C++ : private: bool _unique : 1
- Java : private boolean _unique

Attribute _exception

Declaration :

- Uml : - _exception : bool
- C++ : private: bool _exception : 1
- Java : private boolean _exception

Attribute _stream

Declaration :

- Uml : - _stream : bool
- C++ : private: bool _stream : 1
- Java : private boolean _stream

Attribute _dummy

Declaration :

- Uml : - _dummy : int
- C++ : private: int _dummy : 5

Relation _dir (<directional composition>)

Declaration :

- Uml : - _dir : aDirection
- C++ : private: aDirection _dir : 8
- Java : private aDirection _dir

Relation _effect (<directional composition>)

Declaration :

- Uml : - _effect : aParameterEffectKind
- C++ : private: aParameterEffectKind _effect : 8
- Java : private aParameterEffectKind _effect

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , defined_ , deleteIt , description , direction , effect , getIdentifier , identifier_ , inState , isControlType , isException , isMarked , isStream , isToolRunning , isUnique , isWritable , javaSelection , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_Direction , set_Effect , set_InState , set_IsControlType , set_IsException , set_isMarked , set_IsStream , set_IsUnique , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload